# Combustive Fishing [![](http://cf.way2muchnoise.eu/versions/combustive-fishing.svg)](https://minecraft.curseforge.com/projects/combustive-fishing) [![](http://cf.way2muchnoise.eu/short_combustive-fishing_downloads.svg)](https://minecraft.curseforge.com/projects/combustive-fishing/files) [![License: LGPL v3](https://img.shields.io/badge/License-LGPL%20v3-blue.svg?&style=flat-square)](https://www.gnu.org/licenses/lgpl-3.0) [![](https://img.shields.io/discord/500852157503766538.svg?color=green&label=Discord&style=flat-square)](https://discord.gg/JWgrdwt)
Combustive Fishing is a mod that adds a few items and features that allow you to fish in lava. The idea and features for this mod are based on the requests and suggestions from [this thread](https://www.reddit.com/r/feedthebeast/comments/74hgnr/best_mod_idea_yet/) started by /u/ArloTheEpic on [r/feedthebeast](https://www.reddit.com/r/feedthebeast/). This mod adds a new upgraded fishing rod, the Blazing Fishing Rod, that lets you fish in lava for fish, junk, or even treasures. There's also two new fish exclusive to the Nether, the Combustive Cod and the Searing Swordfish.

## Features
### Blazing Fishing Rod
A blazing fishing rod is exactly the same as a fishing rod except that it also lets you fish in lava for loot. It comes with increased durability and enchantability as well compared to a normal fishing rod.

The recipe for the blazing fishing rod is the same as a fishing rod, except replacing the sticks with blaze rods and adding magma cream.

![](https://i.ibb.co/ygfFS96/blazing-fishing-rod.png)

### Combustive Cod

The Combustive Cod is a new species of fish that can only be found in the lava pools of the Nether. This fish is too hot to even try eating; however, it does have a unique property: when thrown, the Combustive Cod explodes on impact. Handle with care!

![](https://i.ibb.co/CWXjNyK/combustive-cod-test.gif)

But is all hope lost for ever feasting on your burning hot fish? Not so! If you drop a combustive cod into a pool of water, it will spontaneously cool down into a form perfect for eating.

![](https://i.ibb.co/SvN680T/cooled-cod-test.gif)

### Searing Swordfish

The Searing Swordfish lives in the Nether lava pools right alongside the Combustive Cod. This fish is also too hot to eat. While the swordfish don't explode like the combustive cods, they can be used in another way: as a sword! You'll find that the bills of the searing swordfish very closely mimics the properties of a strong, firey sword when combined with a blaze rod. Don't bother trying to enchant or repair it though, it's still just made out of fish.

![](https://i.ibb.co/6WqGf7g/searing-sword.png)

### Bone Fish

The Bone Fish is a species (?) of fish that can be found in the lava pools of both the Nether and the Overworld. It obviously cannot be eaten, unless you like bones. However, you can use the bone fish to attract both wolves and ocelots alike. If you have no use for pets, it can also provide a slightly higher amount of bonemeal than regular bone.

### Lava Fishing

What kind of loot could you even find in lava, you may ask. That depends on whether you are in the Overworld or in the Nether. For Overworld fishing, you will mostly find fish that has already been cooked (how mysterious!). For Nether fishing, you will mostly find nether fish. As always, there is a chance to find some junk or even treasure. Try it out and see, a whole new world of fishing is available to you now!